Set custom attributes
Needs: Incidents, Read-write
Sets the incident's custom attributes. Other values are kept.
curl -X PATCH "https://app.imploy.com.au/api/integrations/v1/incidents/123/attributes" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-d '{
"custom_attributes": {
"witnessed": "Yes"
}
}'
import requests
import json
url = "https://app.imploy.com.au/api/integrations/v1/incidents/123/attributes"
headers = {
"Content-Type": "application/json",
"Authorization": "Bearer YOUR_API_TOKEN"
}
data = {
"custom_attributes": {
"witnessed": "Yes"
}
}
response = requests.patch(url, headers=headers, json=data)
print(response.json())
const response = await fetch("https://app.imploy.com.au/api/integrations/v1/incidents/123/attributes", {
method: "PATCH",
headers: {
"Content-Type": "application/json",
"Authorization": "Bearer YOUR_API_TOKEN"
},
body: JSON.stringify({
"custom_attributes": {
"witnessed": "Yes"
}
})
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
"bytes"
"encoding/json"
)
func main() {
data := []byte(`{
"custom_attributes": {
"witnessed": "Yes"
}
}`)
req, err := http.NewRequest("PATCH", "https://app.imploy.com.au/api/integrations/v1/incidents/123/attributes", bytes.NewBuffer(data))
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://app.imploy.com.au/api/integrations/v1/incidents/123/attributes')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(uri)
request['Content-Type'] = 'application/json'
request['Authorization'] = 'Bearer YOUR_API_TOKEN'
request.body = '{
"custom_attributes": {
"witnessed": "Yes"
}
}'
response = http.request(request)
puts response.body
{
"updated": 12,
"kind": "incident",
"attributes": [
"witnessed"
]
}
{
"message": "Invalid or expired access token."
}
{
"message": "Access token does not permit this action."
}
{
"message": "Too many requests."
}
/incidents/{id}/attributesTarget server for requests. Edit to use your own host.
An organisation access token that starts with imp_at_. Send it as Authorization: Bearer imp_at_XXXX.
imp_at_. Send it as Authorization: Bearer imp_at_XXXX.The incident id.
The media type of the request body
Key and value pairs from the options endpoint. null clears one.
Request Preview
Response
Response will appear here after sending the request
Authentication
Bearer token. An organisation access token that starts with imp_at_. Send it as Authorization: Bearer imp_at_XXXX.
Path Parameters
The incident id.
Body
Key and value pairs from the options endpoint. null clears one.
Responses
OK